Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Sep 2022 17:00:54 +0200

Po Lu <[email-masked]> writes:

> Previously, in an Emacs built with Xaw3d scroll bars, the thumb
> proportion would update as the scrollbar was dragged.  Now it doesn't
> update until the scrollbar is released, and something that makes the
> scrollbar position change happens.

I can reproduce this in Emacs 29 with

./configure --with-x-toolkit=athena

and a buffer that contains alternating blocks of short/long lines.